## moxa-mpc-3000-series-comps-linux-drivers-and-sdk-software-package-v1.3.zip

=== src/intel-gpu-i915-backports-23.8.20+1.0.0/Makefile ===
#
# Makefile for the output source package
#

ifeq ($(KERNELRELEASE),)

MAKEFLAGS += --no-print-directory
SHELL := /bin/bash
BACKPORT_DIR := $(shell pwd)

KMODDIR ?= updates
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG := "INSTALL_MOD_PATH=$(KLIB)"
else
KLIB := /lib/modules/$(shell uname -r)/
KMODPATH_ARG :=
endif
KLIB_BUILD ?= $(KLIB)/build/
KERNEL_CONFIG := $(KLIB_BUILD)/.config
KERNEL_MAKEFILE := $(KLIB_BUILD)/Makefile
CONFIG_MD5 := $(shell md5sum $(KERNEL_CONFIG) 2>/dev/null | sed 's/\s.*//')
KBUILD_MODPOST_WARN := 1
DEB_PKG_DISTRO_TARGETS := i915dkmsdeb-pkg bindeb-pkg
RPM_PKG_DISTRO_TARGETS := i915dkmsrpm-pkg
PKG_DISTRO_TARGETS := $(DEB_PKG_DISTRO_TARGETS) $(RPM_PKG_DISTRO_TARGETS)

ARCH := x86_64

export KLIB KLIB_BUILD BACKPORT_DIR KMODDIR KMODPATH_ARG ARCH KBUILD_MODPOST_WARN PKG_DISTRO_TARGETS DEB_PKG_DISTRO_TARGETS RPM_PKG_DISTRO_TARGETS

# disable built-in rules for this file
.SUFFIXES:

.PHONY: default
default:
	@$(MAKE) modules

.PHONY: mrproper
mrproper:
	@test -f .config && $(MAKE) clean || true
	@rm -f .config
	@rm -f .kernel_config_md5 Kconfig.versions Kconfig.kernel
	@rm -f backport-include/backport/autoconf.h
	@$(MAKE) -f Makefile.real mrproper

.DEFAULT:
	@set -e ; test -f local-symbols || (						\
	echo "/--------------"								;\
	echo "| You shouldn't run make in the backports tree, but only in"		;\
	echo "| the generated output. This here is only the skeleton code"		;\
	echo "| copied into the output directory. To use the backport system"		;\
	echo "| from scratch, go into the top-level directory and run"			;\
	echo "|	./gentree.py /path/to/linux-next/ /tmp/output"				;\
	echo "| and then make menuconfig/... in the output directory. See"		;\
	echo "|	./gentree.py --help"							;\
	echo "| for more options."							;\
	echo "\\--"									;\
	false)
ifeq (,$(filter $(PKG_DISTRO_TARGETS), $(MAKECMDGOALS)))
	@set -e ; test -f $(KERNEL_CONFIG) || (						\
	echo "/--------------"								;\
	echo "| Your kernel headers are incomplete/not installed."			;\
	echo "| Please install kernel headers, including a .config"			;\
	echo "| file or use the KLIB/KLIB_BUILD make variables to"			;\
	echo "| set the kernel to build against, e.g."					;\
	echo "|   make KLIB=/lib/modules/3.1.7/"					;\
	echo "| to compile/install for the installed kernel 3.1.7"			;\
	echo "| (that isn't currently running.)"					;\
	echo "\\--"									;\
	false)
	@set -e ; if [ "$$(cat .kernel_config_md5 2>/dev/null)" != "$(CONFIG_MD5)" ]	;\
	then 										\
		echo -n "Generating local configuration database from kernel ..."	;\
		grep -v -f local-symbols $(KERNEL_CONFIG) | grep = | (			\
			while read l ; do						\
				if [ "$${l:0:7}" != "CONFIG_" ] ; then			\
					continue					;\
				fi							;\
				l=$${l:7}						;\
				n=$${l%%=*}						;\
				v=$${l#*=}						;\
				if [ "$$v" = "m" ] ; then				\
					echo config $$n					;\
					echo '    tristate' 				;\
				elif [ "$$v" = "y" ] ; then				\
					echo config $$n					;\
					echo '    bool'					;\
				else							\
					continue					;\
				fi							;\
				echo "    default $$v"					;\
				echo ""							;\
			done								\
		) > Kconfig.kernel							;\
		kver=$$($(MAKE) --no-print-directory -C $(KLIB_BUILD) kernelversion |	\
			sed 's/^\(\([3-5]\|2\.6\)\.[0-9]\+\).*/\1/;t;d')		;\
		test "$$kver" != "" || echo "Kernel version parse failed!"		;\
		test "$$kver" != ""							;\
		kvers="$$(seq 14 39 | sed 's/^/2.6./')"					;\
		kvers="$$kvers $$(seq 0 19 | sed 's/^/3./')"				;\
		kvers="$$kvers $$(seq 0 20 | sed 's/^/4./')"				;\
		kvers="$$kvers $$(seq 0 99 | sed 's/^/5./')"				;\
		print=0									;\
		for v in $$kvers ; do							\
			if [ "$$print" = "1" ] ; then					\
				echo config KERNEL_$$(echo $$v | tr . _)	;\
				echo "    def_bool y"					;\
			fi								;\
			if [ "$$v" = "$$kver" ] ; then print=1 ; fi			;\
		done > Kconfig.versions							;\
		# RHEL as well, sadly we need to grep for it				;\
		RHEL_MAJOR=$$(grep '^RHEL_MAJOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		RHEL_MINOR=$$(grep '^RHEL_MINOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		for v in $$(seq 0 $$RHEL_MINOR) ; do 					\
			echo config BACKPORT_RHEL_KERNEL_$${RHEL_MAJOR}_$$v		;\
			echo "    def_bool y"						;\
		done >> Kconfig.versions						;\
		echo " done."								;\
	fi										;\
	echo "$(CONFIG_MD5)" > .kernel_config_md5
endif
	@$(MAKE) -f Makefile.real "$@"

.PHONY: defconfig-help
defconfig-help:
	@echo "Driver or subsystem configuration targets:"
	@set -e						;\
		bk_configs="$$(ls defconfigs/*)" 	;\
		for cfg in $$bk_configs; do		\
			echo "  defconfig-$${cfg##defconfigs/}"	;\
		done
	@echo ""

.PHONY: common-help
common-help:
	@echo "Build Configurations:"
	@echo "  KLIB   : path/to/headers"
	@echo "  KLIB_BUILD     : path/to/headers/build "
	@echo "  BUILD_VERSION  : Pass build version to be added to package name"
	@echo "  RELEASE_TYPE   : <opensource/prerelease/custom> Package release type created"
	@echo " 			Example: make <Target> RELEASE_TYPE=test "
	@echo " 			Package names would be intel-i915-dkms-test for DKMS or intel-i915-test for binary"
	@echo " 			Note: If custom packages are created, tracking the conflicting package "
	@echo " 			is difficult. Make sure no other package is already installed before "
	@echo " 			you intalling current one."
	@echo "  OS_DISTRIBUTION: Distro targeted package"
	@echo " 			You can set this value by passing supported kernel name"
	@echo " 			Ex: make <Target> OS_DISTRIBUTION=UBUNTU_22.04_SERVER"
	@echo ""

.PHONY: dkms-pkg-help
dkms-pkg-help: common-help
	@echo "--------------------------------------------------------------------------------------"
	@echo " DKMS Targets: "
	@echo "   i915dkmsdeb-pkg  -  Build DKMS debian package"
	@echo "   i915dkmsrpm-pkg  -  Build DKMS rpm package "
	@echo ""
	@echo " Example: make i915dkmsrpm-pkg OS_DISTRIBUTION=SLES15_SP4 "
	@echo " Example: make i915dkmsdeb-pkg OS_DISTRIBUTION=UBUNTU_22.04_SERVER "
	@echo ""
	@echo " Debian package name contains UBUNTU_22.04_SERVER Kernel version as default. "
	@echo " Rpm package contains the SLES15_SP4 Kernel version as default"
	@echo ""
	@echo " ##### List of Debian supported osv kernel versions ##### "
	@echo " $$(cat versions |& tail -n +4 | cut -d "_" -f 1-3 | grep "UBUNTU" | grep -v "SERVER_KERNEL"| tr '\n' '\t') "
	@echo " $$(cat versions |& tail -n +4 | cut -d "_" -f 1-2 | grep VANILLA_5.15LTS | tr '\n' '\t')"
	@echo ""
	@echo " ##### List of RPM supported osv kernel versions ##### "
	@echo " $$(cat versions |& tail -n +4 | cut -d "_" -f 1-2 | grep SLES | tr '\n' '\t') "
	@echo " $$(cat versions |& tail -n +4 | cut -d "_" -f 1-2 | grep VANILLA_5.15LTS | tr '\n' '\t') "
	@echo " $$(cat versions |& tail -n +4 | cut -d "_" -f 1-2 | grep RHEL | tr '\n' '\t') "
	@echo ""
	@echo "For Specific OSV's, pass the supported kernel name to OS_DISTRIBUTION option "
	@echo ""
	@echo "--------------------------------------------------------------------------------------"

.PHONY: bin-pkg-help
bin-pkg-help: common-help
	@echo "--------------------------------------------------------------------------------------"
	@echo " Binary Targets: "
	@echo "   bindeb-pkg  -  Build binary debian package for respective kernel "
	@echo "   binrpm-pkg  -  Build binary rpm package for respective kernel "
	@echo ""
	@echo "   Command:  make <Build Configurations> <target> "
	@echo " 	 Ex: make RELEASE_TYPE=prerelease binrpm-pkg "
	@echo ""
	@echo "--------------------------------------------------------------------------------------"

.PHONY: help
help: defconfig-help common-help dkms-pkg-help bin-pkg-help
	@echo "--------------------------------------------------------------------------------------"
	@echo "Cleaning targets:"
	@echo "  clean           - Remove most generated files but keep the config and"
	@echo "                    enough build support to build external modules"
	@echo "  mrproper        - Remove all generated files + config + various backup files"
	@echo ""
	@echo "Driver configuration help:"
	@echo "  defconfig-help  - List all prearranged defconfig-targets we have"
	@echo "                    designed for you. You can use this to find"
	@echo "                    driver specific configs in case all you really"
	@echo "                    need is to just compile one or a small group "
	@echo "                    of drivers."
	@echo ""
	@echo "Configuration targets:"
	@echo "  menuconfig      - Update current config utilising a menu based program"
	@echo "  oldconfig       - Update current config utilising a provided .config as base"
	@echo "  oldaskconfig    - ??"
	@echo "  silentoldconfig - Same as oldconfig, but quietly, additionally update deps"
	@echo "  allnoconfig     - New config where all options are answered with no"
	@echo "  allyesconfig    - New config where all options are accepted with yes"
	@echo "  allmodconfig    - New config selecting modules when possible"
	@echo "  alldefconfig    - New config with all symbols set to default"
	@echo "  randconfig      - New config with random answer to all options"
	@echo "  listnewconfig   - List new options"
	@echo "  olddefconfig    - Same as silentoldconfig but sets new symbols to their default value"
	@echo ""
	@echo "Other generic targets:"
	@echo "  all             - Build all targets marked with [*]"
	@echo "* modules         - Build all modules"
	@echo ""
	@echo "Architecture specific targets:"
	@echo "  install         - Install modules"
	@echo "  uninstall       - Uninstall modules"
	@echo ""
	@echo "Execute "make" or "make all" to build all targets marked with [*]"
	@echo "--------------------------------------------------------------------------------------"
else
include $(BACKPORT_DIR)/Makefile.backport
endif

PHONY += FORCE
FORCE:

=== src/moxa-hsrprp-tools-1.1.5/Makefile ===
DESTDIR ?= /
CC=gcc
CFLAGS = -DPRPLED_HA -I./libi2c/include
LDFLAGS = -L./libi2c/lib
LDLIBS = -lpthread -li2c

.PHONY: all libi2c

all: libi2c
	@$(CC) $(CFLAGS) $(LDFLAGS) mxhsrprpd.c mxhsrprp.c -o mxhsrprpd $(LDLIBS)
	@$(CC) mxprpinfo.c -o mxprpinfo
	@$(CC) prpsuper.c -o mxprpsuper

libi2c:
	$(MAKE) -C libi2c

install: all
	$(MAKE) -C libi2c install
	ldconfig
	mkdir -p $(DESTDIR)/usr/sbin/
	cp mx_hsrprp $(DESTDIR)/usr/sbin
	cp mxhsrprpd $(DESTDIR)/usr/sbin
	cp mxprpinfo $(DESTDIR)/usr/sbin
	cp mxprpsuper $(DESTDIR)/usr/sbin

clean:
	$(MAKE) -C libi2c clean
	@rm -f mxhsrprpd
	@rm -f mxprpinfo
	@rm -f mxprpsuper

=== src/moxa-irigb-driver-1.3.0/Makefile ===
KRELEASE ?= $(shell uname -r)
MODULE_NAME := moxa_irigb
KERNEL_HEADER_DIR := /lib/modules/$(KRELEASE)/build
INSTALL_DIR := kernel/drivers/misc
obj-m += $(MODULE_NAME).o

all: modules

modules:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules

install: modules
	$(MAKE) INSTALL_MOD_DIR=$(INSTALL_DIR) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules_install
	/usr/bin/install -m 644 -D $(MODULE_NAME).conf /usr/lib/modules-load.d/$(MODULE_NAME).conf
	/sbin/depmod -A

uninstall:
	rm /lib/modules/$(KRELEASE)/$(INSTALL_DIR)/moxa_irigb.ko
	rm /usr/lib/modules-load.d/$(MODULE_NAME).conf
	/sbin/depmod -A

clean:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) clean

load:
	/usr/sbin/modprobe $(MODULE_NAME)

unload:
	/usr/sbin/modprobe -r $(MODULE_NAME)

.PHONY: modules install uninstall clean load unload

=== src/moxa-irigb-tools-1.2.1/Makefile ===
CXX=g++
DESTDIR ?= /

DIR = mxirig \
mxIrigUtil \
mxSyncTimeSvc

all:
	for i in $(DIR); do \
		make -C $$i; \
	done

install:
	/usr/bin/install -d $(DESTDIR)/sbin
	/usr/bin/install mx_irigb.sh $(DESTDIR)/sbin/mx_irigb.sh
	/usr/bin/install mxSyncTimeSvc/ServiceSyncTime $(DESTDIR)/sbin/ServiceSyncTime
	/usr/bin/install mxIrigUtil/mxIrigUtil $(DESTDIR)/sbin/mxIrigUtil
	/usr/bin/install mx_irigb.service /lib/systemd/system/mx_irigb.service 

clean:
	for i in $(DIR); do \
		make -C $$i clean; \
	done

uninstall:
	rm -f $(DESTDIR)/sbin/mx_irigb.sh
	rm -f $(DESTDIR)/sbin/ServiceSyncTime
	rm -f $(DESTDIR)/sbin/mxIrigUtil
	rm -f /lib/systemd/system/mx_irigb.service

=== src/moxa-it87-gpio-driver-5.2+1.5.0-1/Makefile ===
KRELEASE ?= $(shell uname -r)
MODULE_NAME := gpio-it87
KERNEL_HEADER_DIR := /lib/modules/$(KRELEASE)/build
INSTALL_DIR := kernel/drivers/gpio
obj-m += $(MODULE_NAME).o

modules:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules

install: modules
	$(MAKE) INSTALL_MOD_DIR=$(INSTALL_DIR) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules_install
	/usr/bin/install -m 644 -D gpio-it87.conf /usr/lib/modules-load.d/gpio-it87.conf

	@$(eval TAR_NAME=$(shell sh -c "/usr/sbin/dmidecode -t 12 | grep EXPCF2000"))
	@if [ ! -z "$(findstring EXPCF2000, $(TAR_NAME))" ] ; then /usr/bin/install -m 644 -D gpio_it87_expcf2000.conf /lib/modprobe.d/gpio_it87_expcf2000.conf ; fi
	/sbin/depmod -A

uninstall:
	rm /lib/modules/$(KRELEASE)/$(INSTALL_DIR)/gpio-it87.ko
	rm /usr/lib/modules-load.d/gpio-it87.conf
	/sbin/depmod -A

clean:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) clean

load:
	/usr/sbin/modprobe $(MODULE_NAME)

unload:
	/usr/sbin/modprobe -r $(MODULE_NAME)

.PHONY: modules install uninstall clean load unload

=== src/moxa-it87-serial-driver-1.4.2/Makefile ===
KRELEASE ?= $(shell uname -r)
MODULE_NAME := it87_serial
KERNEL_HEADER_DIR := /lib/modules/$(KRELEASE)/build
INSTALL_DIR := kernel/drivers/misc
MODULE_LOAD_CONFIG := it87_serial.conf
MODULE_PROBE_CONFIG := it87-serial-force-id-it8786.conf
obj-m += $(MODULE_NAME).o

modules:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules

install: modules
	$(MAKE) INSTALL_MOD_DIR=$(INSTALL_DIR) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules_install
	/usr/bin/install -m 644 -D $(MODULE_LOAD_CONFIG) /usr/lib/modules-load.d/$(MODULE_LOAD_CONFIG)
	/usr/bin/install -m 644 -D $(MODULE_PROBE_CONFIG) /usr/lib/modprobe.d/$(MODULE_PROBE_CONFIG)
	/sbin/depmod -A

uninstall:
	rm /lib/modules/$(KRELEASE)/$(INSTALL_DIR)/$(MODULE_NAME).ko
	rm /usr/lib/modules-load.d/$(MODULE_LOAD_CONFIG)
	rm /usr/lib/modprobe.d/$(MODULE_PROBE_CONFIG)
	/sbin/depmod -A

clean:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) clean

load:
	/usr/sbin/modprobe $(MODULE_NAME)

unload:
	/usr/sbin/modprobe -r $(MODULE_NAME)

.PHONY: modules install uninstall clean load unload

=== src/moxa-mxser-driver-5.2.1_build_24121214/Makefile ===
PWD := $(shell pwd)

MX_VER_TXT	:= $(PWD)/VERSION.TXT
MX_VER_MK	:= $(PWD)/ver.mk
MX_VER_H	:= $(PWD)/mx_ver.h

MX_BUILD_VER	:= $(shell awk '{if($$1=="Version" && $$2=="Number:"){print $$3}}' $(MX_VER_TXT))
MX_BUILD_DATE	:= $(shell awk '{if($$1=="Date:"){print $$2}}' $(MX_VER_TXT))
MX_CURR_DATE	:= $(shell date +%g%m%d%H)

KERNEL_VERSION_MAJOR_NUMBER := $(shell uname -r | cut -f1 -d.)
KERNEL_VERSION_MINOR_NUMBER := $(shell uname -r | cut -f2 -d.)

DRIVER_PATH:=driver/kernel5.x

all: check_version mxser
install: check_version clean driver_install

clean: check_version driver_clean 

remove: check_version uninstall
uninstall: check_version driver_uninstall

check_version:
ifneq ("$(KERNEL_VERSION_MAJOR_NUMBER)","5")
	@echo "Error: Your kernel version is $(KERNEL_VERSION_MAJOR_NUMBER).x."
	@echo "       This driver only support linux kernel 5.x."
	@exit 1;
endif

utility_make :
	@cd utility;\
	make -s

mxser :
	@cd ${DRIVER_PATH};\
	make -s 

driver_install:
	@echo ""
	@echo " Build driver for Linux kernel ${KERNEL_VERSION_MAJOR_NUMBER}.x"
	@echo ""
	@cd ${DRIVER_PATH};\
	make install -s 

driver_installsp1:
	@cd ${DRIVER_PATH};\
	make installsp1 -s
	
driver_installsp2:
	@cd ${DRIVER_PATH};\
	make installsp2 -s
	
utility_install:
	@cd utility;\
	make install -s 


driver_clean:
	@cd ${DRIVER_PATH};\
	make clean -s

utility_clean:
	@cd utility;\
	make clean -s

driver_uninstall:
	@cd ${DRIVER_PATH};\
	make uninstall -s

utility_uninstall:
	@cd utility;\
	make uninstall -s

disk:
ifeq (,$(wildcard $(MX_VER_MK)))
	@touch $(MX_VER_MK)
endif
	@sudo $(MAKE) remove
	@sudo $(MAKE) clean
	@rm -f $(MX_VER_MK)
	@echo -n "DRV_VER=" > $(MX_VER_MK)
	@echo "$(MX_BUILD_VER)" >> $(MX_VER_MK)
	@echo -n "REL_DATE=" >> $(MX_VER_MK)
	@echo "$(MX_BUILD_DATE)" >> $(MX_VER_MK)
	@echo "New $(MX_VER_MK) is created."
	@rm -f $(MX_VER_H)
	@echo "#ifndef _MX_VER_H_" >> $(MX_VER_H)
	@echo "#define _MX_VER_H_" >> $(MX_VER_H)
	@echo -n "#define MX_SER_VERSION \"ver" >> $(MX_VER_H)
	@echo -n "$(MX_BUILD_VER)" >> $(MX_VER_H)
	@echo "\"" >> $(MX_VER_H)
	@echo -n "#define MX_SER_DATE \"" >> $(MX_VER_H)
	@echo -n "$(MX_BUILD_DATE)" >> $(MX_VER_H)
	@echo "\"" >> $(MX_VER_H)
	@echo "#endif" >> $(MX_VER_H)
	@echo "New $(MX_VER_H) is created."
	@rm -f $(MX_VER_MK)
	rm -rfi ../disk/*
	cp -f VERSION.TXT ../disk
	cp -f README.TXT ../disk
	cp -rf ../source ../mxser
	tar -cvzf ../disk/driv_linux_smart_v$(MX_BUILD_VER)_build_$(MX_CURR_DATE).tgz ../mxser
	@rm -rf ../mxser
	@echo "Done"

=== src/moxa-mxser-driver-6.1_build_240924/Makefile ===
PWD				:= $(shell pwd)
MX_VER_TXT		:= $(PWD)/VERSION.TXT
MX_VER_MK		:= $(PWD)/ver.mk
MX_VER_H		:= $(PWD)/mx_ver.h
MX_BUILD_VER	:= $(shell awk '{if($$1=="Version" && $$2=="Number:"){print $$3}}' $(MX_VER_TXT))
MX_BUILD_DATE	:= $(shell awk '{if($$1=="Date:"){print $$2}}' $(MX_VER_TXT))
MX_CURR_DATE	:= $(shell date +%g%m%d%H)

KERNEL_VERSION_MAJOR_NUMBER:=$(shell uname -r | cut -f1 -d.)
KERNEL_VERSION_MINOR_NUMBER:=$(shell uname -r | cut -f2 -d.)

DRIVER_PATH:=driver/kernel6.x

all: check_version mxser
install: check_version clean driver_install
install_k6p1: check_version clean driver_install_kernel6_sp1

clean: check_version driver_clean 

remove: check_version uninstall
uninstall: check_version driver_uninstall

check_version:
ifneq ("$(KERNEL_VERSION_MAJOR_NUMBER)","6")
	@echo "Error: Your kernel version is $(KERNEL_VERSION_MAJOR_NUMBER).x."
	@echo "       This driver only support linux kernel 6.x."
	@exit 1;
endif

utility_make :
	@cd utility;\
	make -s

mxser :
	@cd ${DRIVER_PATH};\
	make -s 

driver_install:
	@echo ""
	@echo " Build driver for Linux kernel ${KERNEL_VERSION_MAJOR_NUMBER}.x"
	@echo ""
	@cd ${DRIVER_PATH};\
	make install -s 

driver_install_k6p1:
	@cd ${DRIVER_PATH};\
	make k6p1 -s
	
utility_install:
	@cd utility;\
	make install -s 


driver_clean:
	@cd ${DRIVER_PATH};\
	make clean -s

utility_clean:
	@cd utility;\
	make clean -s

driver_uninstall:
	@cd ${DRIVER_PATH};\
	make uninstall -s

utility_uninstall:
	@cd utility;\
	make uninstall -s

disk:
ifeq (,$(wildcard $(MX_VER_MK)))
	@touch $(MX_VER_MK)
endif
	@sudo $(MAKE) remove
	@sudo $(MAKE) clean
	@rm -f $(MX_VER_MK)
	@echo -n "DRV_VER=" > $(MX_VER_MK)
	@echo "$(MX_BUILD_VER)" >> $(MX_VER_MK)
	@echo -n "REL_DATE=" >> $(MX_VER_MK)
	@echo "$(MX_BUILD_DATE)" >> $(MX_VER_MK)
	@echo "New $(MX_VER_MK) is created."
	@rm -f $(MX_VER_H)
	@echo "#ifndef _MX_VER_H_" >> $(MX_VER_H)
	@echo "#define _MX_VER_H_" >> $(MX_VER_H)
	@echo -n "#define MX_SER_VERSION \"ver" >> $(MX_VER_H)
	@echo -n "$(MX_BUILD_VER)" >> $(MX_VER_H)
	@echo "\"" >> $(MX_VER_H)
	@echo -n "#define MX_SER_DATE \"" >> $(MX_VER_H)
	@echo -n "$(MX_BUILD_DATE)" >> $(MX_VER_H)
	@echo "\"" >> $(MX_VER_H)
	@echo "#endif" >> $(MX_VER_H)
	@echo "New $(MX_VER_H) is created."
	@rm -f $(MX_VER_MK)
	rm -rfi ../disk/*
	cp -f VERSION.TXT ../disk
	cp -f README.TXT ../disk
	cp -rf ../source ../mxser
	tar -cvzf ../disk/driv_linux_smart_v$(MX_BUILD_VER)_build_$(MX_CURR_DATE).tgz ../mxser
	@rm -rf ../mxser
	@echo "Done"

=== src/moxa-mxuport-driver-3.0.1_build_23061313/Makefile ===
PWD		:= $(shell pwd)
MX_VER_TXT	:= $(PWD)/version.txt
MX_VER_MK	:= $(PWD)/driver/ver.mk
MX_VER_H	:= $(PWD)/driver/mxuport/mx_ver.h
MX_BUILD_VER	:= $(shell awk '{if($$1=="Version" && $$2=="Number:"){print $$3}}' $(MX_VER_TXT))
MX_BUILD_DATE	:= $(shell awk '{if($$1=="Date:"){print $$2}}' $(MX_VER_TXT))
MX_CURR_DATE	:= $(shell date +%g%m%d%H)

all: driver_make

driver_make:
	@cd driver;\
	make -s

install:
	@cd driver;\
	make install -s

clean:
	@cd driver;\
	make clean -s

remove:
	@cd driver;\
	make remove -s

disk:	
ifeq (,$(wildcard $(MX_VER_MK)))
	@touch $(MX_VER_MK)
endif
	@sudo $(MAKE) remove
	@sudo $(MAKE) clean
	@rm -f $(MX_VER_MK)
	@echo -n "DRV_VER=" > $(MX_VER_MK)
	@echo "$(MX_BUILD_VER)" >> $(MX_VER_MK)
	@echo -n "REL_DATE=" >> $(MX_VER_MK)
	@echo "$(MX_BUILD_DATE)" >> $(MX_VER_MK)
	@echo "New $(MX_VER_MK) is created."
	@rm -f $(MX_VER_H)
	@echo "#ifndef _MX_VER_H_" >> $(MX_VER_H)
	@echo "#define _MX_VER_H_" >> $(MX_VER_H)
	@echo -n "#define DRIVER_VERSION \"ver" >> $(MX_VER_H)
	@echo -n "$(MX_BUILD_VER)" >> $(MX_VER_H)
	@echo "\"" >> $(MX_VER_H)
	@echo "#endif" >> $(MX_VER_H)
	@echo "New $(MX_VER_H) is created."
	rm -rfi ../../disk/*
	cp -f version.txt ../../disk
	cp -f readme.txt ../../disk
	tar -cvzf ../../disk/driv_linux_uport_v$(MX_BUILD_VER)_build_$(MX_CURR_DATE).tgz ../mxuport
	@echo "Done"

=== src/moxa-sdhci-pci-driver-5.10.0+1.0.0/Makefile ===
KRELEASE ?= $(shell uname -r)
MODULE_NAME := sdhci-pci
KERNEL_HEADER_DIR := /lib/modules/$(KRELEASE)/build
INSTALL_DIR := kernel/drivers/mmc/host

obj-m += sdhci-pci.o
sdhci-pci-y += sdhci-pci-core.o 

modules:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules

install: modules
	$(MAKE) INSTALL_MOD_DIR=$(INSTALL_DIR) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules_install
	/sbin/depmod -A

uninstall:
	rm /lib/modules/$(KRELEASE)/$(INSTALL_DIR)/sdhci-pci.ko
	/sbin/depmod -A

clean:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) clean

load:
	/usr/sbin/modprobe $(MODULE_NAME)

unload:
	/usr/sbin/modprobe -r $(MODULE_NAME)

.PHONY: modules install uninstall clean load unload

=== src/moxa-x86-control-tools-2.21.0/Makefile ===
export SRC_DIR := $(PWD)/src
TOOLS_DIR := $(wildcard $(SRC_DIR)/*)
TOOL_NAME =

.PHONY: all install $(TOOLS_DIR)

all: install

install: $(addprefix $(SRC_DIR)/, $(TOOL_NAME))
ifeq ($(TOOL_NAME),)
	@echo "Please enter tool(s) name you want to install, TOOL_NAME=<tool1, tool2...>"
else
	@echo "Install $(TOOL_NAME)"
endif

$(TOOLS_DIR):
	@make -C $@

clean:
	@for dir in $(TOOLS_DIR); do \
		make clean -C $$dir; \
	done

=== src/siliconmotion-smifb-driver-4.5.0+1.0.0/Makefile ===
ifneq ($(KERNELRELEASE),)

Driver=smifb
obj-m := ${Driver}.o
${Driver}-objs :=smi_drv.o smi_main.o smi_mode.o smi_plane.o hw750.o hw768.o hw770.o smi_debugfs.o
${Driver}-objs += ddk750/ddk750_help.o  ddk750/ddk750_chip.o  ddk750/ddk750_clock.o  ddk750/ddk750_mode.o ddk750/ddk750_power.o ddk750/ddk750_helper.o ddk750/ddk750_display.o ddk750/ddk750_2d.o ddk750/ddk750_edid.o ddk750/ddk750_swi2c.o ddk750/ddk750_hwi2c.o ddk750/ddk750_cursor.o


ifeq ($(hdmi),1)
EXTRA_CFLAGS += -DUSE_HDMICHIP
${Driver}-y += ddk750/ddk750_sii9022.o
${Driver}-y += ddk750/siHdmiTx_902x_TPI.o
endif

ifeq ($(ep952),1)
EXTRA_CFLAGS += -DUSE_EP952
${Driver}-y += ddk768/ddk768_ep952.o
endif


${Driver}-objs += ddk768/ddk768_help.o  ddk768/ddk768_chip.o  ddk768/ddk768_clock.o  ddk768/ddk768_mode.o ddk768/ddk768_power.o ddk768/ddk768_helper.o ddk768/ddk768_display.o ddk768/ddk768_2d.o \
ddk768/ddk768_edid.o ddk768/ddk768_swi2c.o ddk768/ddk768_hwi2c.o ddk768/ddk768_cursor.o ddk768/ddk768_video.o ddk768/ddk768_hdmi.o ddk768/ddk768_pwm.o ddk768/ddk768_timer.o ddk768/ddk768_intr.o 

ifeq ($(noaudio),1)
EXTRA_CFLAGS += -DNO_AUDIO
else
${Driver}-y += smi_snd.o
${Driver}-y += ddk768/ddk768_iis.o
${Driver}-y += ddk768/uda1345.o
${Driver}-y += ddk768/l3.o
${Driver}-y += ddk768/wm8978.o
${Driver}-y += ddk770/ddk770_wm8978.o
endif

# for 770:
${Driver}-objs += ddk770/ddk770_help.o ddk770/ddk770_ddkdebug.o ddk770/ddk770_helper.o \
ddk770/ddk770_os.o ddk770/ddk770_hardware.o ddk770/ddk770_clock.o ddk770/ddk770_power.o \
ddk770/ddk770_cursor.o ddk770/ddk770_intr.o ddk770/ddk770_edid.o \
ddk770/ddk770_hwi2c.o ddk770/ddk770_pwm.o ddk770/ddk770_gpio.o \
ddk770/ddk770_chip.o ddk770/ddk770_mode.o ddk770/ddk770_video.o \
ddk770/ddk770_swi2c.o ddk770/ddk770_hdmi_ddc.o ddk770/ddk770_hdmi_audio.o \
ddk770/ddk770_timer.o ddk770/ddk770_display.o \
ddk770/ddk770_iis.o ddk770/ddk770_hdmi_phy.o ddk770/ddk770_hdmi.o ddk770/ddk770_dp.o




ifeq ($(prime),1)
EXTRA_CFLAGS += -DPRIME
endif

ccflags-y :=-O2  -D_D_SMI -D_D_SMI_D -D__cdecl

ifeq ($(CC_TYPE),gcc)
ccflags-y += -fno-tree-scev-cprop
endif


else

ifneq ($(RUN_DEPMOD),)
	DEPMOD := /sbin/depmod -a
else
	DEPMOD := true
endif

CONFIG_MODULE_SIG=n
knv :=$(shell uname -r)
KERNELDIR :=/lib/modules/$(knv)/build
PWD := $(shell pwd)
RM = rm
MOD_KERNEL_PATH = extra
default:
		$(MAKE) -C $(KERNELDIR) M=$(PWD) modules
install:default
		$(MAKE) -C $(KERNELDIR) M=$(PWD) INSTALL_MOD_PATH=$(DESTDIR) INSTALL_MOD_DIR=$(MOD_KERNEL_PATH) modules_install
		/usr/bin/install -m 644 -D smifb.conf /usr/lib/modules-load.d/smifb.conf
		/usr/bin/install -m 644 -D xorg.conf.multicard /etc/X11/xorg.conf.d/xorg.conf.multicard
		/usr/bin/install -m 644 -D xorg.conf.SM768 /etc/X11/xorg.conf.d/xorg.conf.SM768
		$(DEPMOD)

uninstall:
		$(RM) -rf $(DESTDIR)/lib/modules/$(knv)/$(MOD_KERNEL_PATH)
		$(RM) /usr/lib/modules-load.d/smifb.conf
		$(RM) /etc/X11/xorg.conf.d/xorg.conf.multicard
		$(RM) /etc/X11/xorg.conf.d/xorg.conf.SM768
		$(DEPMOD)

clean:
		$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

load:
		/usr/sbin/modprobe smifb

unload:
		/usr/sbin/modprobe -r smifb

endif

=== src/moxa-mcu-manager-1.1.0/debian/changelog ===
moxa-mcu-manager (1.0.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Support MCU firmware upgrade
  * Add command pre callback function
  * Enhance unix client handling
  * Add test script

  [Removed]
  * Remove compatible script wrapper

 -- Wilson Huang <wilsonys.huang@moxa.com>  Mon, 10 Feb 2025 23:18:06 +0800

moxa-mcu-manager (0.5.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Add proxy queue to handle MCU requests and responses safely

 -- Wilson Huang <wilsonys.huang@moxa.com>  Wed, 05 Feb 2025 18:30:32 +0800

moxa-mcu-manager (0.4.1-1+deb11) bullseye; urgency=medium

  [Fixed]
  * Update proper version

 -- Wilson Huang <wilsonys.huang@moxa.com>  Tue, 10 Dec 2024 17:00:39 +0800

moxa-mcu-manager (0.4.0-1+deb11) bullseye; urgency=medium

  [Removed]
  * Remove watchdog reset control and app watchdog reset control

  [Fixed]
  * Correct typo

 -- Wilson Huang <wilsonys.huang@moxa.com>  Mon, 18 Nov 2024 02:08:19 +0800

moxa-mcu-manager (0.3.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Get/Set app watchdog timeout

  [Fixed]
  * Ensure buffer has a null terminator after reading the GPIO value to prevent undefined behavior
  * Correct debian package information
  * Make mx-mcu-mgmt return code properly

 -- Wilson Huang <wilsonys.huang@moxa.com>  Tue, 08 Oct 2024 17:43:21 +0800

moxa-mcu-manager (0.2.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Get model name by dmidecode tool
  * Toggle debug log via signal SIGHUP
  * Support V3400 series
  * Handle SIGINT or SIGTERM signal when daemon shutdown
  * Check MCU is available or not on V3200 and V3400
  * Add compatible script wrapper

  [Fixed]
  * Add stack protect CFLAGS and prevent stackoverflow
  * Show error log if MCU daemon is not available

 -- Wilson Huang <wilsonys.huang@moxa.com>  Wed, 25 Sep 2024 17:05:46 +0800

moxa-mcu-manager (0.1.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Initial release

 -- Wilson Huang <wilsonys.huang@moxa.com>  Fri, 06 Sep 2024 14:48:40 +0800

=== src/moxa-mcu-manager-1.2.0-1+deb11/debian/changelog ===
moxa-mcu-manager (1.2.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Add new MCU command
    - Get model name
    - Control brightness
    - Get system status
    - Enable/Disable touch panel
    - Show/hide on-screen display
  * Support MPC-3000 series

  [Changed]
  * Expand feature capacity in struct by changing member type
  * Rename app watchdog option function name

  [Fixed]
  * Check model initial callback is defined before execute

  [Removed]
  * Remove 'name_prefix_sz' in model information

 -- Wilson Huang <wilsonys.huang@moxa.com>  Wed, 11 Jun 2025 10:21:12 +0800

moxa-mcu-manager (1.1.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Support long options

 -- Wilson Huang <wilsonys.huang@moxa.com>  Wed, 02 Apr 2025 23:43:31 +0800

=== src/moxa-mcu-manager-1.2.0-1+deb11/debian/control ===
Source: moxa-mcu-manager
Section: utils
Priority: optional
Maintainer: Wilson YS Huang  <wilsonys.huang@moxa.com>
Build-Depends: debhelper (>= 11),
               automake,
               autoconf,
               gcc,
               libc6,
               make,
Standards-Version: 4.1.2
Homepage: https://gitlab.com/moxa/sw/linux/packages/moxa-mcu-manager

Package: moxa-mcu-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Moxa MCU Manager (MMM)
  Moxa MCU Manager provides tools and daemon to control external MCU from the host system.
